kdecore Library: KAppDCOPInterface Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAppDCOPInterface Class Reference

This is the main interface to the KApplication. DCOP interface to KApplication. More...

`#include <kappdcopiface.h>`

Inheritance diagram for KAppDCOPInterface:

[legend]
Collaboration diagram for KAppDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
void | disableSessionManagement ()
QCString | startupId ()
QCString | caption ()
void | quit ()
void | reparseConfiguration ()
void | updateUserTimestamp (ulong time)
## Public Member Functions
| KAppDCOPInterface (KApplication *theKapp)
| ~KAppDCOPInterface ()

## Detailed Description

This is the main interface to the KApplication. DCOP interface to KApplication.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@yahoo.com>

Definition at line 37 of file kappdcopiface.h.

## Constructor & Destructor Documentation

KAppDCOPInterface::KAppDCOPInterface | ( | KApplication * | theKapp | ) |

  | Construct a new interface object. Parameters:
  | theKapp | - The parent KApplication object that will provide us with the functional interface.
Definition at line 27 of file kappdcopiface.cpp.

KAppDCOPInterface::~KAppDCOPInterface | ( |  | ) |

| Destructor Cleans up the dcop connection. Definition at line 33 of file kappdcopiface.cpp.

## Member Function Documentation

void KAppDCOPInterface::disableSessionManagement | ( |  | ) |

| Disable current applications session management. Definition at line 37 of file kappdcopiface.cpp.

The documentation for this class was generated from the following files:

- kappdcopiface.h
- kappdcopiface.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003